## xdotool 3.20140805.1

=== debian/changelog ===
xdotool (1:3.20140805.1-2) unstable; urgency=medium

  * made libxdo3 multiarch.
  * revert ABI change for xdo_t (Closes: #764076)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 06 Oct 2014 14:37:07 -0400

xdotool (1:3.20140805.1-1) unstable; urgency=medium

  * new upstream version (pulled from git)
   - debian/gbp.conf: pristine-tar = False because upstream=git
   - removed all debian/patches (applied upstream)
   - added libxkcommon-dev to build-deps
   - dropped globally unused symbol from API without bumping SONAME.
     added debian/libxdo-dev.NEWS about this.
  * wrap-and-sort, cleaning up debian/copyright
  * bump Standards-Version to 3.9.6 (no changes needed)
  * make package short description more findable (Closes: #763914)
  * updated debian/copyright to format 1.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Oct 2014 14:22:37 -0400

xdotool (1:3.20130111.1-5) unstable; urgency=medium

  * re-add ruby-test-unit to the build-dep because apparently
    Test::Unit::AssertionFailedError depends on it.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Aug 2014 15:51:39 -0400

xdotool (1:3.20130111.1-4) unstable; urgency=medium

  * acknowledge NMU (thanks, Christian Hofstaedtler)
  * bump standards-version to 3.9.5 (no changes needed)
  * move Vcs to collab-maint
  * patch test suite to deal with ruby file descriptor closure (Closes: #752974)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 Aug 2014 21:20:02 -0400

## xdotool 3.20150503.1

=== Makefile ===
DESTDIR?=
PREFIX?=/usr/local
INSTALLBIN?=$(PREFIX)/bin
INSTALLLIB?=$(PREFIX)/lib
INSTALLMAN?=$(PREFIX)/man
INSTALLINCLUDE?=$(PREFIX)/include

DPREFIX=$(DESTDIR)$(PREFIX)
DINSTALLBIN=$(DESTDIR)$(INSTALLBIN)
DINSTALLLIB=$(DESTDIR)$(INSTALLLIB)
DINSTALLMAN=$(DESTDIR)$(INSTALLMAN)
DINSTALLINCLUDE=$(DESTDIR)$(INSTALLINCLUDE)

MAJOR=$(shell sh version.sh --major)
VERSION=$(shell sh version.sh)

WARNFLAGS+=-pedantic -Wall -W -Wundef \
           -Wendif-labels -Wshadow -Wpointer-arith -Wbad-function-cast \
           -Wcast-align -Wwrite-strings -Wstrict-prototypes \
           -Wmissing-prototypes -Wnested-externs -Winline \
           -Wdisabled-optimization -Wno-missing-field-initializers
LIBSUFFIX=$(shell sh platform.sh libsuffix)
VERLIBSUFFIX=$(shell sh platform.sh libsuffix $(MAJOR))
DYNLIBFLAG=$(shell sh platform.sh dynlibflag)
LIBNAMEFLAG=$(shell sh platform.sh libnameflag $(MAJOR) $(INSTALLLIB))

CFLAGS?=-pipe -O2 $(WARNFLAGS)
CFLAGS+=-g # TODO(sissel): Comment before release
CFLAGS+=$(CPPFLAGS)

DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama
DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include

XDOTOOL_LIBS=$(shell pkg-config --libs x11 2> /dev/null || echo "$(DEFAULT_LIBS)")  $(shell sh platform.sh extralibs)
LIBXDO_LIBS=$(shell pkg-config --libs xtst xinerama xkbcommon 2> /dev/null || echo "$(DEFAULT_LIBS)")
INC=$(shell pkg-config --cflags x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_INC)")
CFLAGS+=-std=c99 $(INC)

CMDOBJS= cmd_click.o cmd_mousemove.o cmd_mousemove_relative.o cmd_mousedown.o \
         cmd_mouseup.o cmd_getmouselocation.o cmd_type.o cmd_key.o \
         cmd_windowmove.o cmd_windowactivate.o cmd_windowfocus.o \
         cmd_windowraise.o cmd_windowsize.o cmd_set_window.o cmd_search.o \
         cmd_getwindowfocus.o cmd_getwindowpid.o cmd_getactivewindow.o \
         cmd_windowmap.o cmd_windowunmap.o cmd_windowreparent.o \
         cmd_set_num_desktops.o \
         cmd_get_num_desktops.o cmd_set_desktop.o cmd_get_desktop.o \
         cmd_set_desktop_for_window.o cmd_get_desktop_for_window.o \
         cmd_get_desktop_viewport.o cmd_set_desktop_viewport.o \
         cmd_windowkill.o cmd_behave.o cmd_window_select.o \
         cmd_getwindowname.o cmd_behave_screen_edge.o \
         cmd_windowminimize.o cmd_exec.o cmd_getwindowgeometry.o \
         cmd_sleep.o cmd_get_display_geometry.o

.PHONY: all
all: xdotool.1 libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) xdotool

.PHONY: static
static: xdotool.static

.PHONY: install-static
install-static: xdotool.static
	install -d $(DINSTALLBIN)
	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool

xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(XDOTOOL_LIBS) $(LIBXDO_LIBS)

.PHONY: install
install: pre-install installlib installprog installman installheader post-install

.PHONY: pre-install
pre-install:
	install -d $(DPREFIX)

.PHONY: post-install
post-install:
	@if [ "$$(uname)" = "Linux" ] ; then \
		echo "Running ldconfig to update library cache"; \
		ldconfig \
		  || echo "Failed running 'ldconfig'. Maybe you need to be root?"; \
	fi


.PHONY: installprog
installprog: xdotool
	install -d $(DINSTALLBIN)
	install -m 755 xdotool $(DINSTALLBIN)/

.PHONY: installlib
installlib: libxdo.$(LIBSUFFIX)
	install -d $(DINSTALLLIB)
	install libxdo.$(LIBSUFFIX) $(DINSTALLLIB)/libxdo.$(VERLIBSUFFIX)
	ln -sf libxdo.$(VERLIBSUFFIX) $(DINSTALLLIB)/libxdo.$(LIBSUFFIX)

.PHONY: installheader
installheader: xdo.h
	install -d $(DINSTALLINCLUDE)
	install xdo.h $(DINSTALLINCLUDE)/xdo.h

.PHONY: installman
installman: xdotool.1
	install -d $(DINSTALLMAN)/man1
	install -m 644 xdotool.1 $(DINSTALLMAN)/man1/

.PHONY: deinstall
deinstall: uninstall

.PHONY: uninstall
uninstall: 
	rm -f $(DINSTALLBIN)/xdotool
	rm -f $(DINSTALLMAN)/xdotool.1
	rm -f $(DINSTALLLIB)/libxdo.$(LIBSUFFIX)
	rm -f $(DINSTALLLIB)/libxdo.$(VERLIBSUFFIX)

.PHONY: clean
clean:
	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html xdo_version.h \
	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) libxdo.a || true

xdo.o: xdo.c xdo_version.h
	$(CC) $(CFLAGS) -fPIC -c xdo.c

xdo_search.o: xdo_search.c
	$(CC) $(CFLAGS) -fPIC -c xdo_search.c

xdotool.o: xdotool.c xdo_version.h
	$(CC) $(CFLAGS) -c xdotool.c

xdo_search.c: xdo.h
xdo.c: xdo.h
xdotool.c: xdo.h

libxdo.$(LIBSUFFIX): xdo.o xdo_search.o
	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBXDO_LIBS)

libxdo.a: xdo.o xdo_search.o
	ar qv $@ xdo.o xdo_search.o

libxdo.$(VERLIBSUFFIX): libxdo.$(LIBSUFFIX)
	ln -s $< $@

# xdotool the binary requires libX11 now for XSelectInput and friends.
# This requirement will go away once more things are refactored into
# libxdo.
# TODO(sissel): only do this linker hack if we're using GCC?
xdotool: LDFLAGS+=-Xlinker
ifneq ($(WITHOUT_RPATH_FIX),1)
xdotool: LDFLAGS+=-rpath=$(INSTALLLIB)
endif
xdotool: xdotool.o $(CMDOBJS) libxdo.$(LIBSUFFIX)
	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm $(XDOTOOL_LIBS)

xdotool.1: xdotool.pod
	pod2man -c "" -r "" xdotool.pod > $@

.PHONY: showman
showman: xdotool.1
	nroff -man $< | $$PAGER

.PHONY: docs
docs: Doxyfile xdo.h
	doxygen

xdotool.html: xdotool.pod
	pod2html $< > $@

.PHONY: package
package: test-package-build create-package create-package-deb

.PHONY: package-deb
package-deb: test-package-build create-package-deb

.PHONY: test
test: WITH_SHELL=/bin/bash
test: xdotool libxdo.$(VERLIBSUFFIX)
	echo $(WITH_SHELL)
	if [ "$(WITH_SHELL)" = "/bin/sh" ] ; then \
		echo "Shell '$(WITH_SHELL)' fails on some Linux distros because it could"; \
		echo "be 'dash', a poorly implemented shell with bugs that break the"; \
		echo "tests. You need to use bash, zsh, or ksh to run the tests."; \
		exit 1; \
	fi
	SHELL=$(WITH_SHELL) $(MAKE) -C t

xdo_version.h:
	sh version.sh --header > $@

VERSION:
	sh version.sh --shell > $@

.PHONY: pre-create-package
pre-create-package:
	rm -f VERSION xdo_version.h

.PHONY: create-package
create-package: pre-create-package VERSION xdo_version.h
	@NAME=xdotool-$(VERSION); \
	echo "Creating package: $$NAME"; \
	mkdir $${NAME}; \
	rsync --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -r $${NAME}
	rm VERSION

# Make sure the package we're building compiles.
.PHONY: test-package-build
test-package-build: create-package
	@NAME=xdotool-$(VERSION) && \
	echo "Testing package $$NAME" && \
	tar -zxf $${NAME}.tar.gz && \
	make -C $${NAME} docs && \
	make -C $${NAME} test && \
	echo "Package ready: $${NAME}"; \
	rm -rf $${NAME}


### Build .deb packages for xdotool. The target 'create-package-deb' will
# create {xdotool,xdotool-doc,libxdo$(MAJOR),libxdo$(MAJOR)-dev}*.deb packages
# The reason I do this is to avoid any madness involved in dealing with
# debuild, dh_make, and related tools. '.deb' packages are an 'ar' with two
# tarballs.

DEBDIR=deb-build
create-package-deb: pre-create-package VERSION xdo_version.h
	[ -d $(DEBDIR) ] && rm -r $(DEBDIR) || true
	$(MAKE) xdotool.deb xdotool-doc.deb libxdo$(MAJOR).deb libxdo$(MAJOR)-dev.deb

%.deb: $(DEBDIR)/usr
	$(MAKE) $(DEBDIR)/$*/data.tar.gz $(DEBDIR)/$*/control.tar.gz \
	        $(DEBDIR)/$*/debian-binary
	wd=$$PWD; \
	cd $(DEBDIR)/$*; \
	  ar -qc $$wd/$*_$(VERSION)-1_$(shell uname -m).deb \
	    debian-binary data.tar.gz control.tar.gz

$(DEBDIR)/usr:
	$(MAKE) install DESTDIR=$(DEBDIR) PREFIX=/usr INSTALLMAN=/usr/share/man

$(DEBDIR)/xdotool $(DEBDIR)/xdotool-doc $(DEBDIR)/libxdo$(MAJOR) $(DEBDIR)/libxdo$(MAJOR)-dev:
	mkdir -p $@

$(DEBDIR)/%/debian-binary:
	echo "2.0" > $@

# Generate the 'control' file
$(DEBDIR)/%/control: $(DEBDIR)/%/
	sed -e 's/%VERSION%/$(VERSION)/g; s/%MAJOR%/$(MAJOR)/' \
		ext/debian/$(shell echo $* | tr -d 0-9).control > $@

# Generate the 'md5sums' file 
$(DEBDIR)/%/md5sums: $(DEBDIR)/%/ $(DEBDIR)/%/data.tar.gz 
	tar -ztf $(DEBDIR)/$*/data.tar.gz | (cd $(DEBDIR); xargs md5sum || true) > $@

# Generate the 'control.tar.gz'
$(DEBDIR)/%/control.tar.gz: $(DEBDIR)/%/control $(DEBDIR)/%/md5sums
	tar -C $(DEBDIR)/$* -zcf $(DEBDIR)/$*/control.tar.gz control md5sums 

# Build a tarball for xdotool files
$(DEBDIR)/xdotool/data.tar.gz: $(DEBDIR)/xdotool/
	tar -C $(DEBDIR) -zcf $@ usr/bin

# Build a tarball for libxdo# files
$(DEBDIR)/libxdo$(MAJOR)/data.tar.gz: $(DEBDIR)/libxdo$(MAJOR)/
	tar -C $(DEBDIR) -zcf $@ usr/lib

# Build a tarball for libxdo#-dev files
$(DEBDIR)/libxdo$(MAJOR)-dev/data.tar.gz: $(DEBDIR)/libxdo$(MAJOR)-dev/
	tar -C $(DEBDIR) -zcf $@ usr/include

# Build a tarball for xdotool-doc files
$(DEBDIR)/xdotool-doc/data.tar.gz: $(DEBDIR)/xdotool-doc/
	tar -C $(DEBDIR) -zcf $@ usr/share

=== t/Makefile ===
DEBUG?=0
ifneq ($(DEBUG), 0)
RUBYFLAGS=-d
endif

HEADLESS_TESTS?=test-xvfb-nowm test-xvfb-openbox test-xvfb-gnome
XEPHYR_TESTS?=test-xephyr-nowm test-xephyr-openbox test-xephyr-gnome

all-headless: $(HEADLESS_TESTS)
all-xephyr: $(XEPHYR_TESTS)
all: all-headless all-xephyr 

test: all

# The loop-* targets are mainly for spinning until a test fails 
# so we can look for flakey tests.
loop-headless:
	while $(MAKE) $(MAKEARGS) all-headless; do true; done

loop-xephyr:
	while $(MAKE) $(MAKEARGS) all-xephyr; do true; done

loop-all:
	while $(MAKE) $(MAKEARGS) all; do true; done

do-test:
	@echo " => Running tests on $${XSERVER%% *}/$${WM:-no-windowmanager}"; \
	set -e; \
	make -C ../; \
	sh check-for-tools.sh || exit 0; \
	for i in test_*.rb ; do \
	  echo "Running $$i"; \
	  sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh ruby $(RUBYFLAGS) $$i $(TESTFLAGS); \
	done 

#sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh -- ruby alltests.rb

test-xephyr:
	QUIET=1 XSERVER="Xephyr -ac -screen 1280x768x24" $(MAKE) do-test

test-xvfb:
	QUIET=0 XSERVER="Xvfb -ac -screen 0 1280x768x24" $(MAKE) do-test

test-xvnc:
	QUIET=0 XSERVER="Xvnc" $(MAKE) do-test

test-xvfb-nowm:
	WM=none $(MAKE) test-xvfb

test-xephyr-nowm:
	WM=none $(MAKE) test-xephyr

test-xvfb-openbox:
	WM=openbox-session $(MAKE) test-xvfb

test-xephyr-openbox:
	WM=openbox-session $(MAKE) test-xephyr

test-xvfb-gnome:
	@echo "=> Note about gnome: Gnome tests will fail if you are already running gnome."
	WM=gnome-session $(MAKE) test-xvfb

test-xephyr-gnome:
	@echo "=> Note about gnome: Gnome tests will fail if you are already running gnome."
	WM=gnome-session $(MAKE) test-xephyr

=== debian/changelog ===
xdotool (1:3.20150503.1-2) unstable; urgency=medium

  * record upstream version info, making build reproducible (Closes:
    #795809)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Aug 2015 14:30:29 +0200

xdotool (1:3.20150503.1-1) unstable; urgency=medium

  * new upstream tarball released.
  * added windowclose command (adopted upstream already).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 May 2015 15:49:09 -0400

=== debian/control ===
Source: xdotool
Section: x11
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 9),
               dh-exec (>= 0.3),
               doxygen,
               libx11-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               libxtst-dev,
               openbox,
               perl,
               pkg-config,
               procps,
               ruby,
               ruby-test-unit,
               x11-utils,
               x11-xkb-utils,
               xauth,
               xfonts-base,
               xkb-data,
               xterm,
               xvfb
Standards-Version: 3.9.6
Homepage: http://www.semicomplete.com/blog/projects/xdotool/
Vcs-Git: git://anonscm.debian.org/collab-maint/xdotool.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/packages/xdotool.git

Package: xdotool
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simulate (generate) X11 keyboard/mouse input events
 xdotool lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for simulating (generating) X11 keyboard/mouse input events
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo-dev
Architecture: any
Section: libdevel
Depends: libx11-dev,
         libxdo3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.
 .
 This package contains developer tools (headers, libraries) for libxdo.

Package: libxdo3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libxdo3 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libxdo3
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.
 .
 This package contains the debugging symbols for libxdo3

## xdotool 3.20160512.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 INSTALLLIB?=$(PREFIX)/lib
 INSTALLMAN?=$(PREFIX)/man
 INSTALLINCLUDE?=$(PREFIX)/include
+LDCONFIG?=ldconfig
 
 DPREFIX=$(DESTDIR)$(PREFIX)
 DINSTALLBIN=$(DESTDIR)$(INSTALLBIN)
@@ -28,7 +29,7 @@
 CFLAGS+=-g # TODO(sissel): Comment before release
 CFLAGS+=$(CPPFLAGS)
 
-DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama
+DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lxkbcommon
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
 XDOTOOL_LIBS=$(shell pkg-config --libs x11 2> /dev/null || echo "$(DEFAULT_LIBS)")  $(shell sh platform.sh extralibs)
@@ -49,6 +50,7 @@
          cmd_windowkill.o cmd_behave.o cmd_window_select.o \
          cmd_getwindowname.o cmd_behave_screen_edge.o \
          cmd_windowminimize.o cmd_exec.o cmd_getwindowgeometry.o \
+         cmd_windowclose.o \
          cmd_sleep.o cmd_get_display_geometry.o
 
 .PHONY: all
@@ -76,7 +78,7 @@
 post-install:
 	@if [ "$$(uname)" = "Linux" ] ; then \
 		echo "Running ldconfig to update library cache"; \
-		ldconfig \
+		$(LDCONFIG) \
 		  || echo "Failed running 'ldconfig'. Maybe you need to be root?"; \
 	fi
 
@@ -231,7 +233,7 @@
 	wd=$$PWD; \
 	cd $(DEBDIR)/$*; \
 	  ar -qc $$wd/$*_$(VERSION)-1_$(shell uname -m).deb \
-	    debian-binary data.tar.gz control.tar.gz
+	    debian-binary control.tar.gz data.tar.gz
 
 $(DEBDIR)/usr:
 	$(MAKE) install DESTDIR=$(DEBDIR) PREFIX=/usr INSTALLMAN=/usr/share/man

=== debian/changelog ===
xdotool (1:3.20160512.1-1) unstable; urgency=medium

  * new upstream release (pulled from git)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 May 2016 09:55:10 -0400

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                xkb-data,
                xterm,
                xvfb
-Standards-Version: 3.9.6
-Homepage: http://www.semicomplete.com/blog/projects/xdotool/
-Vcs-Git: git://anonscm.debian.org/collab-maint/xdotool.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/packages/xdotool.git
+Standards-Version: 3.9.8
+Homepage: https://www.semicomplete.com/blog/projects/xdotool/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdotool.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/packages/xdotool.git
 
 Package: xdotool
 Architecture: any

## xdotool 3.20160805.1

=== Makefile ===
--- 
+++ 
@@ -28,13 +28,14 @@
 CFLAGS?=-pipe -O2 $(WARNFLAGS)
 CFLAGS+=-g # TODO(sissel): Comment before release
 CFLAGS+=$(CPPFLAGS)
+CFLAGS+=$(shell sh cflags.sh)
 
 DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lxkbcommon
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
 XDOTOOL_LIBS=$(shell pkg-config --libs x11 2> /dev/null || echo "$(DEFAULT_LIBS)")  $(shell sh platform.sh extralibs)
-LIBXDO_LIBS=$(shell pkg-config --libs xtst xinerama xkbcommon 2> /dev/null || echo "$(DEFAULT_LIBS)")
-INC=$(shell pkg-config --cflags x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_INC)")
+LIBXDO_LIBS=$(shell pkg-config --libs x11 xtst xinerama xkbcommon 2> /dev/null || echo "$(DEFAULT_LIBS)")
+INC=$(shell pkg-config --cflags x11 xtst xinerama xkbcommon 2> /dev/null || echo "$(DEFAULT_INC)")
 CFLAGS+=-std=c99 $(INC)
 
 CMDOBJS= cmd_click.o cmd_mousemove.o cmd_mousemove_relative.o cmd_mousedown.o \
@@ -147,7 +148,7 @@
 # TODO(sissel): only do this linker hack if we're using GCC?
 xdotool: LDFLAGS+=-Xlinker
 ifneq ($(WITHOUT_RPATH_FIX),1)
-xdotool: LDFLAGS+=-rpath=$(INSTALLLIB)
+xdotool: LDFLAGS+=-rpath $(INSTALLLIB)
 endif
 xdotool: xdotool.o $(CMDOBJS) libxdo.$(LIBSUFFIX)
 	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm $(XDOTOOL_LIBS)
@@ -199,7 +200,7 @@
 	@NAME=xdotool-$(VERSION); \
 	echo "Creating package: $$NAME"; \
 	mkdir $${NAME}; \
-	rsync --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
+	rsync --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh cflags.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
 	tar -zcf $${NAME}.tar.gz $${NAME}/; \
 	rm -r $${NAME}
 	rm VERSION
@@ -210,6 +211,7 @@
 	@NAME=xdotool-$(VERSION) && \
 	echo "Testing package $$NAME" && \
 	tar -zxf $${NAME}.tar.gz && \
+	make -C $${NAME} && \
 	make -C $${NAME} docs && \
 	make -C $${NAME} test && \
 	echo "Package ready: $${NAME}"; \

=== debian/changelog ===
xdotool (1:3.20160805.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename MiniTest to Minitest. Closes: #1094113.

 -- Margarita Manterola <marga@debian.org>  Sun, 06 Apr 2025 17:26:23 +0200

xdotool (1:3.20160805.1-5) unstable; urgency=medium

  * move to dh 13
  * Standards-Version: bump to 4.6.0 (no changes needed)
  * Rules-Requires-Root: no
  * d/gbp.conf: DEP-14: unstable (sid) packaging on branch "debian/unstable"
  * complete transition to dh 13 (install from installed files; drop dh-exec)
  * d/copyright: update to 2022
  * d/watch: move to version 4
  * ABI preservation patch: note forwarding
  * add d/upstream/metadata to point to github
  * d/libxdo3.symbols: add Build-Depends-Package: libxdo-dev

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Apr 2022 16:39:53 -0400

xdotool (1:3.20160805.1-4) unstable; urgency=medium

  * use dep-14 branch names
  * use github for Homepage: and salsa for Vcs-*
  * bump Standards-Version to 4.1.4 (priority: extra → optional)
  * move to debhelper 11
  * d/changelog: remove trailing whitespace
  * -dbg→-dbgsym migration is completed
  * use debian/clean instead of override_dh_clean

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 11 Jun 2018 08:11:09 -0400

xdotool (1:3.20160805.1-3) unstable; urgency=medium

  * drop 00003-Fixed-type-window... (Closes: #850257)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jan 2017 23:49:12 -0500

xdotool (1:3.20160805.1-2) unstable; urgency=medium

  * disable parallel build, in an attempt to avoid ephemeral test suite
    errors.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 04 Jan 2017 14:49:19 -0500

xdotool (1:3.20160805.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Jan 2017 00:51:30 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- WITHOUT_RPATH_FIX=1
	make docs
	rm -f docs/html/jquery.js

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

override_dh_auto_install:
	make install PREFIX=debian/tmp/usr INSTALLMAN=debian/tmp/usr/share/man

override_dh_compress:
	dh_compress -X.js

override_dh_auto_test:
	SHELL=/bin/bash dh_auto_test -- HEADLESS_TESTS="test-xvfb-nowm test-xvfb-openbox" XEPHYR_TESTS="test-xephyr-nowm test-xephyr-openbox" SKIP_KNOWN_BROKEN_TESTS=1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
             https://github.com/jordansissel/xdotool/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## xdotool 20080606

=== Makefile ===
PREFIX=/usr/local
INSTALLBIN=/usr/local/bin
INSTALLMAN=/usr/local/man

WARNFLAGS+=-pedantic -Wall -W -Wno-missing-field-initializers -Wundef \
           -Wendif-labels -Wshadow -Wpointer-arith -Wbad-function-cast \
           -Wcast-align -Wwrite-strings -Wstrict-prototypes \
           -Wmissing-prototypes -Wnested-externs -Winline \
           -Wdisabled-optimization

CFLAGS=-pipe -std=c99 $(WARNFLAGS)

DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include

LIBS=`pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)"`
INC=`pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)"`

CFLAGS+=$(INC)
LDFLAGS+=$(LIBS)

all: xdotool xdotool.1

install: installprog installman

installprog: xdotool
	install -m 755 xdotool $(INSTALLBIN)/

installman: xdotool.1
	[ -d $(INSTALLMAN) ] || mkdir $(INSTALLMAN)
	[ -d $(INSTALLMAN)/man1 ] || mkdir $(INSTALLMAN)/man1
	install -m 644 xdotool.1 $(INSTALLMAN)/man1/

deinstall: uninstall
uninstall: 
	rm -f $(INSTALLBIN)/xdotool
	rm -f $(INSTALLMAN)/man1/xdotool.1

clean:
	rm -f *.o xdotool xdotool.1 || true

xdo.o: xdo.c
	gcc $(CFLAGS) -c xdo.c

xdotool.o: xdotool.c
	gcc $(CFLAGS) -c xdotool.c

xdo.c: xdo.h
xdotool.c: xdo.h

xdotool: xdotool.o xdo.o
	gcc $(CFLAGS) $(LDFLAGS) xdotool.o xdo.o -o $@

xdotool.1: xdotool.pod
	pod2man -c "" -r "" xdotool.pod > $@

package: test-package-build create-package

create-package: 
	@NAME=xdotool-`date +%Y%m%d`; \
	echo "Creating package: $$NAME"; \
	mkdir $${NAME}; \
	rsync --exclude .svn -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* 2> /dev/null` $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -rf $${NAME}/

# Make sure the package we're building compiles.
test-package-build: create-package
	@NAME=xdotool-`date +%Y%m%d`; \
	echo "Testing package $$NAME"; \
	tar -zxf $${NAME}.tar.gz; \
	make -C $${NAME} xdotool; \
	rm -rf $${NAME}/
	rm -f $${NAME}.tar.gz

## xdotool 20080720

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-PREFIX=/usr/local
-INSTALLBIN=/usr/local/bin
-INSTALLMAN=/usr/local/man
+PREFIX?=/usr/local
+INSTALLBIN=$(PREFIX)/bin
+INSTALLMAN=$(PREFIX)/man
 
-WARNFLAGS+=-pedantic -Wall -W -Wno-missing-field-initializers -Wundef \
+WARNFLAGS+=-pedantic -Wall -W -Wundef \
            -Wendif-labels -Wshadow -Wpointer-arith -Wbad-function-cast \
            -Wcast-align -Wwrite-strings -Wstrict-prototypes \
            -Wmissing-prototypes -Wnested-externs -Winline \
-           -Wdisabled-optimization
+           -Wdisabled-optimization -Wno-missing-field-initializers
 
 CFLAGS=-pipe -std=c99 $(WARNFLAGS)
 
@@ -40,16 +40,16 @@
 	rm -f *.o xdotool xdotool.1 || true
 
 xdo.o: xdo.c
-	gcc $(CFLAGS) -c xdo.c
+	$(CC) $(CFLAGS) -c xdo.c
 
 xdotool.o: xdotool.c
-	gcc $(CFLAGS) -c xdotool.c
+	$(CC) $(CFLAGS) -c xdotool.c
 
 xdo.c: xdo.h
 xdotool.c: xdo.h
 
 xdotool: xdotool.o xdo.o
-	gcc $(CFLAGS) $(LDFLAGS) xdotool.o xdo.o -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) xdotool.o xdo.o -o $@
 
 xdotool.1: xdotool.pod
 	pod2man -c "" -r "" xdotool.pod > $@
